PPC - GUI freezes except for mouse pointer

Bug #1377878 reported by Lars Noodén on 2014-10-06
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Low
Unassigned

Bug Description

During the installation the computer freezes completely except for the mouse pointer. And even that is stuck with whatever shape it happened to have at the time it froze. The steps I have to cause the freeze are run Ubiquity to start the installation open a terminal, run Ubuntu-bug and let it launch Firefox. It will freeze every time then. Even the consoles (ctrl-alt-f1 etc) are unavailable. What kind of information can I collect and how?

Created attachment 68230
cpuinfo, free, lspci

Hardware: G3 Apple iBook, second gen.

fedora 18 version of the radeon driver. Downstream version is xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.ppc.

X starts up as normal first, but there is color distortions on gtk or xlib based widgets. Light Qt apps seem to work all right if the system is not pushed too hard. Example, Qterminal may stay for a few hours, but starting a web browser makes X crash in a few seconds.

After a crash, xdm restarts X, but now, the colors all have strange extra yellow tint.

Attachements: dmesg from boot till Xorg starts misbehaving. Some system info, and Xorg.0.log.

Ingvar

Created attachment 68231
dmesg from boot til X starts misbehave

Created attachment 68232
X log

> X starts up as normal first, but there is color distortions on gtk or xlib
> based widgets. Light Qt apps seem to work all right if the system is not
> pushed too hard. Example, Qterminal may stay for a few hours, but starting a
> web browser makes X crash in a few seconds.

Does booting with radeon.agpmode=1 or radeon.agpmode=-1 on the kernel command line help?

BTW, it looks like the attached Xorg.0.log is from after xdm restarted X? Can you also attach the log file from the first X server? It should be there as Xorg.0.log.old after xdm restarted X.

Booted with radeon.agpmode=1. Worked as before until I tried to start a few apps.

Xorg.0.log with stacktrace, and new kernel messages attached.

Ingvar

Created attachment 68301
Kernel messages when radeon driver crashes

Created attachment 68302
Xorg.0.log with stacktrace when radeon crashes

More or less same results with radeon.agpmode=-1

(In reply to comment #7)
> More or less same results with radeon.agpmode=-1

Please attach the dmesg output from booting with that.

Created attachment 68355
dmesg with radeon.agpmode=-1

Updated to xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756.fc18.ppc on kernel-3.6.6-3.fc18.ppc. Same results as before.

Might add that except for the radeon driver, the iBook is stable. Running X apps, even gtk and qt apps, works fine via X-forwarding over ssh, and in a VNC session.

Ingvar

Recompiled xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17, reenabling ums (the fedora package has a patch that disables ums), and booted with nomodeset.

With this, the display seems stable again, and the color distortion is gone.

So, does this mean that the problem is in the kernel or in the driver?

There are still problems with GTK widgets, but X widgets and Qt widgets are fine.

Ingvar

(In reply to comment #11)
> So, does this mean that the problem is in the kernel or in the driver?

There are several problems. The main one (probably in the kernel) is that acceleration is not stable with KMS. Usually radeon.agpmode=-1 works around that, but for some reason it doesn't seem to on your machine.

The second problem (probably in the X driver) is the wrong colours when running on KMS without acceleration. I looked into this briefly a while ago but couldn't figure out what's wrong.

I appear to have the same problem (inverted colours) on an early 2005 G5 iBook running Gentoo with anything more recent than linxu-3.7.0 with UMS. KMS definitely seems to be linked to the problem. FVWM, xterm and ImageMagick's display seem affected; maybe Geeqie too. Firefox and Gnome Terminal get their colours right, though. Everything seems usable otherwise.

Linux gloduk 3.10.7-gentoo #9 PREEMPT Fri Sep 6 21:31:50 EST 2013 ppc 7447A, altivec supported PowerBook6,5 GNU/Linux

x11-drivers/xf86-video-ati-6.14.6-r1

That patch fixes the color issue, at least on kernel 3.10.9 (fedora kernel 3.10.9-200.fc19.ppc). But it is not stable. After a few minutes, the display crashes. See kernel and X logs attached.

Created attachment 85375
output of dmesg (3.10.9-200.fc19.ppc)

Created attachment 85376
Xorg.0.log

(In reply to comment #16)
> That patch fixes the color issue, at least on kernel 3.10.9 (fedora kernel
> 3.10.9-200.fc19.ppc). But it is not stable. After a few minutes, the display
> crashes. See kernel and X logs attached.

You're getting a GPU hang. Does radeon.agpmode=-1 help on the newer kernel?

> You're getting a GPU hang. Does radeon.agpmode=-1 help on the newer kernel?

Actually, yes, it does. With radeon.agpmode=-1 the display is stable and works quite well with GTK and QT apps. X widgets have distorted colors, though.

Ingvar

(In reply to comment #20)
> > You're getting a GPU hang. Does radeon.agpmode=-1 help on the newer kernel?
>
> Actually, yes, it does. With radeon.agpmode=-1 the display is stable and
> works quite well with GTK and QT apps. X widgets have distorted colors,
> though.
>
> Ingvar

At least, it worked for a few minutes lenger before locking up. When pushed a bit harder (firefox rendering a page while switching windows back and forth), it froze again like this:

[ 1642.075416] radeon 0000:00:10.0: GPU lockup CP stall for more than 10000msec
[ 1642.075450] radeon 0000:00:10.0: GPU lockup (waiting for 0x00000000000028b7 last fence id 0x00000000000028b6)
[ 1642.077303] radeon 0000:00:10.0: Saved 27 dwords of commands on ring 0.
[ 1642.077325] radeon 0000:00:10.0: GPU reset succeeded, trying to resume
[ 1642.086747] [drm] PCI GART of 512M enabled (table at 0x0000000006180000).
[ 1642.086831] radeon 0000:00:10.0: WB disabled
[ 1642.086852] radeon 0000:00:10.0: fence driver on ring 0 use gpu addr 0x0000000078000000 and cpu addr 0xc6177000
[ 1642.086957] [drm] radeon: ring at 0x0000000078001000
[ 1642.240286] [drm:r100_ring_test] *ERROR* radeon: ring test failed (scratch(0x15E8)=0xCAFEDEAD)
[ 1642.240311] [drm:r100_cp_init] *ERROR* radeon: cp isn't working (-22).
[ 1642.240324] radeon 0000:00:10.0: failed initializing CP (-22).

You could disable acceleration:
Option "NoAccel" "True"
in the decice section of your xorg.conf

(In reply to comment #21)
> (In reply to comment #20)
> > > You're getting a GPU hang. Does radeon.agpmode=-1 help on the newer kernel?
> >
> > Actually, yes, it does. With radeon.agpmode=-1 the display is stable and
> > works quite well with GTK and QT apps. X widgets have distorted colors,
> > though.

> At least, it worked for a few minutes lenger before locking up. When pushed
> a bit harder (firefox rendering a page while switching windows back and
> forth), it froze again like this:

Ignore that, that was with the 6.x driver. I'm now running the patches mentioned in comment 14 and comment 15. With agpmode=-1, and it's stable (2x glxgears, firefox, switching and flicking windows, no sweat), and all the colors distortions are fixed, even on pure X widgets.

Has been running stable for 20 minutes now.

Hooray!

Ah!

I just created version of the x11-drivers/xf86-video-ati-7.0.0 Gentoo package in an overlay of mine [0] including the two patches mentioned in comments 14 and 15. I built it, and it seems to work! The colours are no longer inverted, and acceleration seems to be there (RADEON(0): Acceleration enabled).

I haven't run it for long enough to know for sure about stability, but from past experience, this setup already has passed the bumpy spot.

[0] https://scm.narf.ssji.net/svn/gentoo-portage/browser/x11-drivers/xf86-video-ati

Hum, sometimes, the X server becomes unstable, still.

I've also seen messages saying 'failed to map pixmap: -35' which I don't recall seeing before.

Created attachment 85664
Xorg.0.log while crashing

Fairly stable, but I've provoked a crash at least once, see attachement.

(In reply to comment #27)
> Fairly stable, but I've provoked a crash at least once, see attachement.

Well, the userspace accel drivers may be suffering from some bit-rot at this point. I'd expect you may see similar issues even on x86 in certain cases.

Created attachment 85713
A more complete Xorg.log (3.10.7/KMS; iBook G4 early 2005, PowerBook6,5)

The relevant part is probably starting around 300s with
  [ 305.735] [mi] EQ overflowing. Additional events will be discarded until existing events are processed.
  [some bakctraces]
  [ 340.052] failed to map pixmap: -35
  [ 340.060] [mi] Increasing EQ size to 512 to prevent dropped events.
  [ 340.065] [mi] EQ processing has resumed after 197 dropped events.
  [ 340.066] [mi] This may be caused my a misbehaving driver monopolizing the server's resources.

(In reply to comment #29)
> Created attachment 85713 [details]
> A more complete Xorg.log (3.10.7/KMS; iBook G4 early 2005, PowerBook6,5)
>
> The relevant part is probably starting around 300s with
> [ 305.735] [mi] EQ overflowing. Additional events will be discarded
> until existing events are processed.
> [some bakctraces]
> [ 340.052] failed to map pixmap: -35
> [ 340.060] [mi] Increasing EQ size to 512 to prevent dropped events.
> [ 340.065] [mi] EQ processing has resumed after 197 dropped events.
> [ 340.066] [mi] This may be caused my a misbehaving driver monopolizing
> the server's resources.

If you check your dmesg output you'll probably see a GPU lockup reported. If you aren't already using radeon.agpmode=-1, try that, otherwise, see comment 28.

Ok, radeon.agpmode=-1 seem to do the trick.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1377878

tags: added: iso-testing
Lars Noodén (larsnooden) wrote :

The freeze can also be cause by just running Firefox by itself.

Lars Noodén (larsnooden) wrote :

It looks like running any graphical application and just waiting a while, sometimes longer sometimes shorter, will cause the GUI to freeze. Once frozen, tapping the power button only causes the backlight to go off.

Fritz Hudnut (este-el-paz) wrote :

I also have experienced the GUI freezing, booted up in the 10/3/14 lubuntu 14.10 live iso for PPC on my iBook G4. Using boot params I got into a clean GUI desktop, but, in my case, trying to set the time or time zone . . . got the timezone menu to appear, but scrolling down to find local time zone, brought a freeze . . . . As Lars points out the mouse cursor is free to move, but nothing responds to clicking . . . until shut down. I tried twice . . . freezing problem repeated, second time just trying to set time . . . might have gotten to FF window . . . .

F

Walter Lapchynski (wxl) wrote :

check dmesg, syslog or Xorg.0.log and see if you can come up with any insight. does it freeze under any other conditions?

tags: added: lubuntu ppc
Changed in ubuntu-mobile:
status: New → Incomplete
Lars Noodén (larsnooden) wrote :
Lars Noodén (larsnooden) wrote :

Here are the dmesg and Xorg.0.log from the live session. No installed OS yet: #1256588 wipes the HD, #1363180 kept any CDs from booting for months, and #1377878 prevents a new installation. So anything that can be gathered Live, I can get, but nothing persistent.

Lars Noodén (larsnooden) wrote :
Lars Noodén (larsnooden) wrote :
Lars Noodén (larsnooden) wrote :
Changed in ubuntu-mobile:
status: Incomplete → New
status: New → Confirmed
Lars Noodén (larsnooden) wrote :

If I go to the console before using the GUI and set up an openssh-server then I can log in and the session is still active and usable even after X becomes useless.

Walter Lapchynski (wxl) wrote :

do you have any problems on alternate or is this just desktop? if no problem installing alternate, what about the installed system?
also if you ssh in, are the load averages low or is something taking up resources? if so, what?

affects: ubuntu-mobile → ubiquity (Ubuntu)
Walter Lapchynski (wxl) wrote :

also from what i grok from fritz' comment, it seems this happens regardless of kernel parameters, correct?

Walter Lapchynski (wxl) wrote :

lots of errors on https://launchpadlibrarian.net/187400149/syslog -- was that the syslog while installing? i notice that install.py fails, there's all sorts of issues with filesystems and radeon and pipes, oh my!

Lars Noodén (larsnooden) wrote :

Yes, there are problems on the Alternate, but different ones. The alternate won't complete installation either, but for different reasons so no data on the GUI can be gathered.

When I ssh in to a Live session that has locked, I can see from 'top' that the load averages are very low.

Both sets of logs are from the installation. The logs are from during the installation process but after the freeze.

About the kernel parameters, if I boot with radeonfb: etc like used to be required, then all I get after the splash screen is a black screen with no mouse and no way to get to console either.

Adam Conrad (adconrad) wrote :

Based on the syslog vomit, this is almost certainly a kernel bug (or possibly an X bug). Reassigning in that direction for now.

affects: ubiquity (Ubuntu) → linux (Ubuntu)
Adam Conrad (adconrad) wrote :

FWIW, when I've complained in the past about endian issues with the radeon drivers on PPC, the upstream response has often been "we know it's broken on big-endian arches, patches welcome, or go buy an nvidia card". So, this may prove to be a lost cause without someone with the time and expertise to dive in.

Walter Lapchynski (wxl) wrote :

@adam does this affect all ppc radeon cards? if so, that kills a lot of computers we wanted to support! can you link me to archives of your upstream inquiries?

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Fritz Hudnut (este-el-paz) wrote :

@wxl:

I sent this to "QA" . . . but, right, this is the bug . . . that my iBook found earlier in the month, and then again a few days ago. What I didn't mention was what Lars also mentioned, when the mouse cursor "clenches" to drag the window . . . it doesn't "unclench." But, it is a "deal breaker" in terms of running 14.10 on the iBook . . . getting that the devs don't seem too concerned, but unlikely that I would take the time to change the video card from radeon to something else . . . .

=================================from the other day:

"Ran the 14.10 ppc live 10/16/14 "Alpha powerpc" iso this AM . . . briefly. But, on my iBook G4 w/640+-MB RAM . . . had to use the radeon fb boot parameters, booting with "live" does not work . . . in any event, when I got to the desktop the first thing I wanted to check was the "window dragging" issue that has been a problem for awhile . . . even 14.04 is not too outstanding. However, launching FF the window opens . . . bottom left says "transferring data" . . . which went on for several minutes . . . could not enter "Gmail" in the searchbar window . . . then found that I could do nothing anywhere else . . . "DE frozen" . . . I think I filed a bug about this in a recent test???

Rebooted back, and tried the menu, which opened . . . I then opened the File manager . . . clicking on stuff in the window . . . did not succeed . . . DE again Frozen . . . only way out is shut down. I'll try to get to the QA tracker thing, but, really seems like I've been here before . . . the things I've found as issues . . . remain."

Walter Lapchynski (wxl) wrote :

do you guys have this problem in 14.04.1?

Hello all,

@Walter I did encounter this in 14.04.1 as well

it works if I force PCI mode via yaboot radeon.agpmode=-1 (which I thought was the expected workaround for an unknown issue with AGP and the user would be expected to use it)

While on my system with a 9200 based chip under OSX it's listed as AGP 4x I vaguely remember Apple once only listing a similar chip as AGP supported without them actually having it implemented that way (if that would make sense? but I think it was with the even older Rage 128 series if I recall correctly)

so I quess the question might be what changed, did AGP work before, was there no hardware acceleration, was PCI transfer maybe temporarily forced?

Fritz Hudnut (este-el-paz) wrote :

As per Boris' suggestion:

Boris:

Yes, that did work . . . but, I had to add "live-nosplash-powerpc video+ofonly radeon.agpmode=-1" . . . . When I just used the "video=ofonly radeon.agpmode=-1" I got "unable to open file, Invalid device."

 With that AGP boot parameter the 14.10 livedvd it is working; window dragging isn't exactly smooth, but it follows the mouse and no freezes . . . it's fine. It got me into a clean GUI with the proper display refresh rates showing (as opposed to having to use the "radeonfb w/ 1024x768-32@60" parameters) and for the most part everything worked; certainly the GUI did not "freeze" like it did when using those "radeonfb" parameters.

Only problem with AGP was that setting the time did not "hold" in "manual" and "synching with internet servers" did not work. Otherwise, for my iBook G4 with radeon driver . . . it "worked."

My build for the LiveDVD is 10/16/14 (American system) . . . didn't check any more recent builds since several of us found this "freezing desktop" problem . . . and the general languishing of intention to support PPC, etc.

Fritz Hudnut (este-el-paz) wrote :

Sorry, live-nosplash-powerpc video=ofonly radeon.agpmode=-1

Fritz Hudnut (este-el-paz) wrote :

"do you guys have this problem in 14.04.1?"

@wxl:

To answer that question, yes, the problem of the desktop freezing is happening in my G4 iBook with 14.04.1 installed.

Opening web browser seems to freeze the desktop in and of itself. I can open the Terminal and run commands; but, for instance, last night I was trying to "apport-collect 1058641" for the "radeon regression" bug . . . each time the browser opened for me to give permissions on LP . . . system froze. Tried to log in to LP first and then run the Terminal command, but, it brought me back to the browser anyway . . . back into the ice.

System was installed using Boris/Adam's "agpmode=-1"that worked to clean up the 14.10 GUI . . . and I've tried various flavors of "radeonfb" boot parameters . . . problem continues. Yesterday I ran "sudo Xorg -configure" . . . and generated an xorg.conf file . . . it does show "radeon" as the driver, along with a bunch of other stuff . . . rebooted . . . no difference.

I had 14.04 installed before and I used the "video=radeonfb: 1024x768-32@60" params, and dragging windows was jerky and sluggish, no revive from suspend . . . but it did "work" . . . did something change for the worse in the kernel . . . or using agp mode gets me a better GUI for resolution . . . but creates the freeze problem that was in 14.10 . . . over in 14.04? Don't know if shrinking down the xorg.conf file as per Adam S's bug report will do anything, or, somehow trying to change out of the "agp" stipulation . . . or doing a reinstall using the radeonfb params would get around this rather serious problem as far as using 14.04 goes????

F

"System was installed using Boris/Adam's "agpmode=-1"that worked to clean up the 14.10 GUI . . . and I've tried various flavors of "radeonfb" boot parameters . . . "

- don't! My understanding was using "radeonfb" conflicts with KMS which we want to use nowadays, so try to leave it out and instead use only "video=ofonly radeon.agpmode=-1"

"Yesterday I ran "sudo Xorg -configure" . . . and generated an xorg.conf file . . . it does show "radeon" as the driver, along with a bunch of other stuff . . . rebooted . . . no difference."

- Did you move it to it's right place via "sudo mv xorg.conf.new /etc/X11/xorg.conf"

Walter Lapchynski (wxl) wrote :

Is there anyone that "video=ofonly radeon.agpmode=-1" doesn't work for? If not, then we can call this invalid. Unfortunately, these parameters are not appropriate to every kind of ppc machine, so it doesn't make sense to make them the default. We just kind of have to know this stuff.

Hi Walter,

yep not default for every kind of ppc system, only for those specific G4 ibook's with the radeon 9200 variant, tho eMacs with those would also seems like a save bet-!? Sry I haven't yet gotten around to the FAQ/ Known Issues addition but I plan on spending some time on it tomorrow :)

For everyone else reading up on this I figured I should post our conclusion so far here as well:

1. yaboot params don't seem to stick/ carry over from live-boot initiated installations (intentionally?? for many mac users this would probably be unexpected and result in what I'd like to describe as "wtf I already had the correct params set why doesn't it work as expected" and be cause for confusion as the needed workarounds to "make it work" would not be actually used anymore while still assumed to be in use, so likely cause for seemingly "not working out of the box

Question:

what can be done about that or is pointing to more detailed Information on that and the actual params needed the only available course of action or can those params be set default out of the box on affected system configurations?

2. Radeon 9200/ RV 280 (M9+) chips on the PowerBook6,5 (ibook G4, 12' inch, 1.2 GHz) and also likely similar ibook and eMac Radeon 9000 range of chips for some reason won't work reliable on Radeon-KMS with AGP transfer enabled, so those need "radeon.agpmode=-1" no idea if it's a flaw in the way Apple implemented AGP on these ibooks or in combination with an expectation of the driver on how AGP is supposed to be implemented, or simply some bug, but it won't work at the moment and causes the freeze issue:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1377878

3. using the older framebuffer params in any way on top of things causes conflicts with KMS which even with "radeon.agpmode=-1" set would cause UI/ GUI issues like incomplete loading or nonfuctional UI/ GUI, so we additionally would need "video=ofonly" here and should not try to additionally use any combination of eg. "radeonfb" (which quite a few older workaround instructions might confusingly suggest and result in the user having any variation of params but not only the above 2 he or she would need to make it work)

4. with "video=ofonly radeon.agpmode=-1" those ibooks would boot and be useable prefectly fine BUT there will be "sluggish" feeling 2D/ gui/ windows moving and no accel at all which would be the result of not having Xorg properly configured/ detecting the chip and using the appropriate driver out of the box which also would have to be initiated manually at this point:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/1058641

https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1366556

to fix from a booted Installation:

sudo service lightdm stop

sudo Xorg -configure
sudo mv xorg.conf.new /etc/X11/xorg.conf
sudo nano /etc/X11/xorg.conf

[Here some driver options could be set, eg. uncomment pageflip and set it to "True", save any edits and after that reboot]

sudo shutdown -r now

---------------

Grüße
boris

Lars Noodén (larsnooden) wrote :

Walter and Boris, the "video=ofonly radeon.agpmode=-1" work-around allows installation to complete on my hardware. The installed system even boots to the desktop. If forgot to test it on the 2014-11-08 image but remembered for the 2014-11-09 image

Thx for the feedback Lars, I think we can call it on the bug Walter,

so far nobody else has come forward with anything that suggests otherwise.

Where would we propose to implement those params to be set as default for the specific systems in future builds/ releases, would a post to the ppc list be in order and would you do that Walter?

Lars Noodén (larsnooden) wrote :

One thing to look into is how much the "video=ofonly radeon.agpmode=-1" settings slow down the GUI. Some things, such as clicking on an icon, are quite sluggish but I don't know how to find where the fault lies.

I believe this is due to incomplete or not at all set up Xorg conf which for some reason is not done for a long time on certain Radeon systems, so those are without DRI and all the bells and whistles.

Did you try what I mentioned above?

sudo service lightdm stop

sudo Xorg -configure
sudo mv xorg.conf.new /etc/X11/xorg.conf
sudo nano /etc/X11/xorg.conf

[Here some driver options could be set, eg. uncomment pageflip and set it to "True", save any edits and after that reboot]

sudo shutdown -r now

After a reboot you can check your acceleration with the commands glxinfo and glxgears -info if it works you will notice the gears running well even if quickly moving it's window but likely lubuntu gui will otherwise remain kinda slow but should be better.

known ppc radeon 9000-range AGP-freeze issue, needs radeon.agpmode=-1 yaboot param workaround, additionally combination with video=ofonly is recommended

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Lars Noodén (larsnooden) wrote :

Boris, it's still a bug until the installer adds those boot options and the installed system ends up with them in yaboot.conf

Changed in linux (Ubuntu):
status: Invalid → Confirmed

Thanks Lars,

still learning the ropes with this, from Walters response I gathered we
could call it, but I'm glad we can work the installer defaults in, makes
more sense that way and I expressed as much on the bug, was just not sure
if this should be left open all the way.
Am 11.11.2014 05:45 schrieb "Lars Noodén" <email address hidden>:

> Boris, it's still a bug until the installer adds those boot options and
> the installed system ends up with them in yaboot.conf
>
> ** Changed in: linux (Ubuntu)
> Status: Invalid => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1377878
>
> Title:
> PPC - GUI freezes except for mouse pointer
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> During the installation the computer freezes completely except for the
> mouse pointer. And even that is stuck with whatever shape it happened
> to have at the time it froze. The steps I have to cause the freeze
> are run Ubiquity to start the installation open a terminal, run
> Ubuntu-bug and let it launch Firefox. It will freeze every time then.
> Even the consoles (ctrl-alt-f1 etc) are unavailable. What kind of
> information can I collect and how?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1377878/+subscriptions
>

Thanks Lars,

still learning the ropes with this, from Walters response I gathered we could call it, but I'm glad we can work the installer defaults in, makes more sense that way and I expressed as much in my comments above, was just not sure if this should be left open all the way, but yeah makes more sense.

Walter Lapchynski (wxl) wrote :

Actually, Boris was right. Lars I recommend you read the PPC FAQ.

The graphics section makes it quite clear that there's no mechanism in place to determine the appropriate graphics settings for your particular hardware:
https://wiki.ubuntu.com/PowerPCFAQ#Configure_graphics

Furthermore, if such a mechanism could exist, PPC is ultimately unsupported. We, as the Lubuntu community, are supporting it, but we don't have the resources to dedicate to innovating for PPC.

Lastly, keep in mind that what works for Radeon might create problems for Nvidia.

That being said, really, if we have a workaround, it's fixed.

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Lars Noodén (larsnooden) wrote :

Ok. I see the Ubuntu FAQ. I thought before that it may have been abandoned or outdated.

Also, perhaps "linux" was the wrong package here for the bug. I was aiming for a fix in the utility on the CD that boots the kernel.

Adam Smith (adamsmith) wrote :

This is caused by the radeonfb kernel module being now compiled as a module, rather than being 'built-in' to the kernel. It's hard to see where/when/why this change happened in Ubuntu, but it probably came from an upstream kernel change https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=748398 .

A bit of history: The radeonfb module was purposefully builtin on Ubuntu PPC to break KMS (as it would cause freezing like above) and also, radeonfb is necessary for suspend. UMS was removed entirely from the radeon xorg driver in 12.10, and people have in fact been using the fbdev xorg driver (which uses radeonfb) by default. For most users, KMS works if forcing pci mode (agpmode=-1), however Lubuntu-qa had an eMac user at the time of 12.10 who couldn't use radeon KMS (black screen), and so if the switch was made to CONFIG_FB_RADEON=m then he would have had to fail the ISOs. The kernel configuration of framebuffers/KMS has hence remained the same from 12.04-14.04

It is not very helpful to mix up 14.04 and 14.10 as has been done in the confusing discussion above. The kernel configs are different and the default xorg driver will be different. Necessary boot parameters will be different.

The described freezing bug with radeon KMS under PowerPC has been present for years and has been reported many times. However, the actual cause is not known, and those who may have the knowledge to fix it don't have the hardware or time to devote to a solution. Forcing pci mode remains the only workaround to get the radeon xorg driver working on most machines.

Testing the vivid desktop/live ISO today, I couldn't use radeonfb even following previoulsy working methods for framebuffer modules (http://ubuntuforums.org/showthread.php?t=2079873&p=12336938#post12336938 ). It seems video=offb:off doesn't work anymore, although I don't know why.

Also, I note 'nomodeset' doesn't work. You have to use radeon.modeset=0 to turn off KMS.

Using fbdev with the openfirmware framebuffer (offb) is not an option because of the very limited number of colours.

Despite all this, building radeonfb as a module is probably the best thing to do nowadays, but it will make it harder for some users.

So how can we improve things? Well, changing the boot.msg on ISOs would be good! Currently it says:

 "If the system fails to boot at all (the typical symptom is a white screen that doesn't go away), use 'live video=ofonly'"

Where this came from has been lost by the sands of time, but it doesn't relate to any PowerPC mac these days and hasn't been good advice since, well 10.04, and possibly before that. Now that framebuffers are modules (that are blacklisted), the boot parameter video=ofonly in fact does nothing. IT HAS TO BE CHANGED as it is just wasting people's time.

It would be far better to point users to the troubleshooting section of the PowerPC wiki pages:

wiki.ubuntu.com/PowerPCFAQ#Troubleshooting

affects: linux (Ubuntu) → ubuntu
Changed in ubuntu:
status: Invalid → Confirmed
affects: ubuntu → ubuntu-cdimage
Adam Smith (adamsmith) wrote :

Reading the lubuntu-qa mailing list, it seems this bug was responsible for the 14.10 lubuntu iso not being released?

Steve Langasek (vorlon) wrote :

As I understand it, changing the help message does nothing to eliminate the hang that was reported in this bug, and that requires a change to the kernel module behavior on ppc. Please file a separate bug report for the help message text.

affects: ubuntu-cdimage → linux
affects: linux → linux (Ubuntu)
Hamish MacLeod (hamish-leif) wrote :

I'm a total novice but I have encountered these issues and for what it's worth these are the machine specs and solutions that I have used...

Hardware: Mac Mini PPC G4 (PowerPC 7447A @ 1250.00MHz) Radeon 9200

When running: Lubuntu 14.04.1
With: video=radeonfb: 1024x768-32@60
Result: running fine (no freeze) but with sluggish GUI i.e. slow window drag

When running: Lubuntu 14.10
With: video=radeonfb: 1024x768-32@60
Result: sluggish window drag and now freezing issue with only mouse cursor movement
With: video=ofonly radeon.agpmode=-1
Result: sluggish window drag but no more freezing issue

I haven't tried anything xorg.conf related as I consider this system currently in a usable state. I did go through the motions of the xorg.conf stuff under 14.04.1 but didn't changed anything as I have no idea what I would change. As I said, total novice. I would be happy to try something and report the results if someone would give me some direction.

@hamish have you tried this: "radeon.modeset=1 video=radeonfb:off video=offb:off radeon.agpmode=-1"

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed

@Adam

sadly, yes. But it now should be clear with the existing workarounds that's not necessary for future releases.

Can you run the same system in live mode? If so, open a terminal and file a
bug against ubiquity explaining exactly what happened. Make sure you
include the version of the kernel.

On Wed, Feb 4, 2015 at 3:29 AM, Boris Reinhard <
<email address hidden>> wrote:

> @Adam
>
> sadly, yes. But it now should be clear with the existing workarounds
> that's not necessary for future releases.
>
> --
> You received this bug notification because you are a member of Lubuntu
> Packages Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/1377878
>
> Title:
> PPC - GUI freezes except for mouse pointer
>
> Status in The Linux Kernel:
> Confirmed
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> During the installation the computer freezes completely except for the
> mouse pointer. And even that is stuck with whatever shape it happened
> to have at the time it froze. The steps I have to cause the freeze
> are run Ubiquity to start the installation open a terminal, run
> Ubuntu-bug and let it launch Firefox. It will freeze every time then.
> Even the consoles (ctrl-alt-f1 etc) are unavailable. What kind of
> information can I collect and how?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1377878/+subscriptions
>

--
"Collaboration is the new innovation" (Istimsak Abdulbasir, 2013)

Walter Lapchynski (wxl) wrote :

Workarounds exist, so low.

Changed in linux (Ubuntu):
importance: Medium → Low
Israel Dahl (israeldahl) wrote :

I experienced this bug as well. I did not run ubiquity, I ran firefox and it froze after a few moments. The screen is frozen, and the mouse cursor is stuck with the same cursor.
This was done using:
 Lubuntu 14.04.2 (testing)
On a:
 powerbook4_3 (iBook 2 rev. 2)

Just tested booting and installing my iBook G4 with Ubuntu MATE 15.10 daily. It booted from DVD using only 'live' and the install completed successfully. Some PowerPC related bugs have been fixed this cycle:

  * https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1471185
  * https://bugs.launchpad.net/ubuntu/+source/qtwebkit-source/+bug/1274167

Jose Barakat (josebarakat) wrote :

Currently experiencing this bug a year after the last comment (#81).

I have no problem going full screen when playing Flash/HTML5 streaming videos, but when I run fullscreen, for example, PPSSPP (PSP emulator) on Ubuntu 16.04 either SDL or Qt versions, screen freezes completly with the exception of the mouse pointer. I can press Ctrl+Alt+F1 to switch to terminal emulator to login and excute reboot, or press Ctrl+Alt+F7 and switch back to frozen screen with mouse pointer. Sometimes, streaming videos at fullscreen freeze.

System Info.
---------------------------
Phoronix Test Suite v6.4.0

Hardware:
Processor: Intel Core i3-3110M @ 2.40GHz (4 Cores), Motherboard: LENOVO, Chipset: Intel 3rd Gen Core DRAM, Memory: 6144MB, Disk: 500GB Seagate ST500LT012-9WS14, Graphics: Intel HD 4000 (1000MHz), Audio: Conexant CX20757, Network: Qualcomm Atheros QCA8172 Fast + Qualcomm Atheros AR9485 Wireless

Software:
OS: Ubuntu 16.04, Kernel: 4.7.2-040702-generic (x86_64), Desktop: Unity 7.4.0, Display Server: X Server 1.18.3, Display Driver: intel 2.99.917, OpenGL: 3.3 Mesa 12.1.0-devel, Compiler: GCC 5.4.0 20160609, File-System: ext4, Screen Resolution: 1366x768
---------------------------

Active Graphics Related Repos
---------------------------
Vulkan tools and drivers (“Canonical X.org” team)
http://ppa.launchpad.net/canonical-x/vulkan/ubuntu

http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu

http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu

Intel Graphics drivers
https://download.01.org/gfx/ubuntu/15.10/main
---------------------------

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.